survfit {survival} | R Documentation

## Create survival curves

### Description

This function creates survival curves from either a formula (e.g. the Kaplan-Meier), a previously fitted Cox model, or a previously fitted accelerated failure time model.

### Usage

    survfit(formula, ...)

### Arguments

`formula` | either a formula or a previously fitted model
`...` | other arguments to the specific method

### Details

A survival curve is based on a tabulation of the number at risk and number of events at each unique death time. When time is a floating point number the definition of "unique" is subject to interpretation. The code uses factor() to define the set. For further details see the documentation for the appropriate method, i.e., `?survfit.formula` or `?survfit.coxph`.

### Value

An object of class `survfit` containing one or more survival curves.

### Note

Older releases of the code also allowed the specification for a single curve to omit the right hand of the formula, i.e., `~ 1`. Handling this case required some non-standard and fairly fragile manipulations, and this case is no longer supported.

### Author(s)

Terry Therneau

### See Also

`survfit.formula`, `survfit.coxph`, `survfit.object`, `print.survfit`, `plot.survfit`, `summary.survfit`

[Package survival version 2.36-14 Index]